Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_UPIPE_Acceptor Class Reference

Defines the format and interface for the listener side of the ACE_UPIPE_Stream. More...

`#include <UPIPE_Acceptor.h>`

Inheritance diagram for ACE_UPIPE_Acceptor:

[legend]
Collaboration diagram for ACE_UPIPE_Acceptor:

[legend]
List of all members.

## Public Methods
| ACE_UPIPE_Acceptor (void)
| Default constructor.
| ACE_UPIPE_Acceptor (const ACE_UPIPE_Addr &local_sap, int reuse_addr=0)
| Initialize passive endpoint.
int | open (const ACE_UPIPE_Addr &local_sap, int reuse_addr=0)
| Initialize passive endpoint.
| ~ACE_UPIPE_Acceptor (void)
| Close down and release resources.
int | close (void)
| Close down and release resources.
int | remove (void)
int | accept (ACE_UPIPE_Stream &server_stream, ACE_UPIPE_Addr *remote_addr=0, ACE_Time_Value *timeout=0, int restart=1, int reset_new_handle=0)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_Thread_Manager | tm
| Manage threads.
ACE_Message_Block | mb_
| To confirm connection establishment.

## Detailed Description

Defines the format and interface for the listener side of the ACE_UPIPE_Stream.

## Constructor & Destructor Documentation

ACE_UPIPE_Acceptor::ACE_UPIPE_Acceptor | ( | void |  | ) |

| Default constructor.

ACE_UPIPE_Acceptor::ACE_UPIPE_Acceptor | ( | const ACE_UPIPE_Addr & | local_sap,
|  | int | reuse_addr = 0
| ) |

| Initialize passive endpoint.

ACE_UPIPE_Acceptor::~ACE_UPIPE_Acceptor | ( | void |  | ) |

| Close down and release resources.

## Member Function Documentation

int ACE_UPIPE_Acceptor::accept | ( | ACE_UPIPE_Stream & | server_stream,
|  | ACE_UPIPE_Addr * | remote_addr = 0,
|  | ACE_Time_Value * | timeout = 0,
|  | int | restart = 1,
|  | int | reset_new_handle = 0
| ) |

| Accept a new data transfer connection. A timeout of 0 means block forever, a timeout of {0, 0} means poll. restart == 1 means "restart if interrupted."

int ACE_UPIPE_Acceptor::close | ( | void |  | ) |

| Close down and release resources. Reimplemented from ACE_SPIPE_Acceptor.

void ACE_UPIPE_Acceptor::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_SPIPE_Acceptor.

int ACE_UPIPE_Acceptor::open | ( | const ACE_UPIPE_Addr & | local_sap,
|  | int | reuse_addr = 0
| ) |

| Initialize passive endpoint.

ASYS_INLINE int ACE_UPIPE_Acceptor::remove | ( | void |  | ) |

| Close down and release resources and remove the underlying SPIPE rendezvous point. Reimplemented from ACE_SPIPE_Acceptor.

## Member Data Documentation

ACE_UPIPE_Acceptor::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_SPIPE_Acceptor.

ACE_Message_Block ACE_UPIPE_Acceptor::mb_`[private]`

| To confirm connection establishment.

ACE_Thread_Manager ACE_UPIPE_Acceptor::tm`[private]`

| Manage threads.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/UPIPE_Acceptor.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/UPIPE_Acceptor.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/UPIPE_Acceptor.i